<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy NumericData.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_numeric_data_8cpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">NumericData.cpp</div></div>
</div><!--header-->
<div class="contents">
<a href="_numeric_data_8cpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#include &quot;<a class="code" href="_numeric_data_8hpp.html">NumericData.hpp</a>&quot;</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="class_numeric_data.html#a4867840ac08d28936e2fd457befa723e">   19</a></span><a class="code hl_function" href="class_numeric_data.html#a4867840ac08d28936e2fd457befa723e">NumericData::NumericData</a>(QWidget *parent) : QWidget(parent)</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>{</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <span class="comment">// Tworzy obiekt klasy QLineEdit oraz zarządcę horyzontalnego</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <a class="code hl_variable" href="class_numeric_data.html#a9bbb275971b6c75b1378e48727cca298">data</a> = <span class="keyword">new</span> QLineEdit(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <a class="code hl_variable" href="class_numeric_data.html#af8d15a23b479d1943fda2a88954dbb49">hlayout</a> = <span class="keyword">new</span> QHBoxLayout(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="comment">// Przygotowywuje widgety do wyświetlenia</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <a class="code hl_function" href="class_numeric_data.html#a1288fde6fb7304b3a63f58a8c39cc42a">setStoredWidget</a>();</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <a class="code hl_function" href="class_numeric_data.html#aaf52f467e0ea964e76ac7e955f23b2b1">setHLayout</a>();</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>}</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="class_numeric_data.html#a1288fde6fb7304b3a63f58a8c39cc42a">   35</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_numeric_data.html#a1288fde6fb7304b3a63f58a8c39cc42a">NumericData::setStoredWidget</a>()</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>{</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    <span class="comment">// Ustawienia klasy QLineEdit</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    <a class="code hl_variable" href="class_numeric_data.html#a9bbb275971b6c75b1378e48727cca298">data</a>-&gt;setReadOnly(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    <a class="code hl_variable" href="class_numeric_data.html#a9bbb275971b6c75b1378e48727cca298">data</a>-&gt;setFrame(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    <a class="code hl_variable" href="class_numeric_data.html#a9bbb275971b6c75b1378e48727cca298">data</a>-&gt;setMaxLength(<a class="code hl_define" href="_numeric_data_8hpp.html#a4a870710e36ec2b3a1c414e1261a5f6b">TEXT_LIMIT</a>);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    <a class="code hl_variable" href="class_numeric_data.html#a9bbb275971b6c75b1378e48727cca298">data</a>-&gt;setTextMargins(1, 1, 1, 1);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    <a class="code hl_variable" href="class_numeric_data.html#a9bbb275971b6c75b1378e48727cca298">data</a>-&gt;setAlignment(Qt::AlignRight | Qt::AlignVCenter);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    <a class="code hl_variable" href="class_numeric_data.html#a9bbb275971b6c75b1378e48727cca298">data</a>-&gt;setSizePolicy(QSizePolicy::Expanding, QSizePolicy::Preferred);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    <a class="code hl_variable" href="class_numeric_data.html#a9bbb275971b6c75b1378e48727cca298">data</a>-&gt;insert(<span class="stringliteral">&quot;0000 mm&quot;</span>);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <a class="code hl_variable" href="class_numeric_data.html#a9bbb275971b6c75b1378e48727cca298">data</a>-&gt;setStyleSheet(<span class="stringliteral">&quot;color: white;&quot;</span>);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>}</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="class_numeric_data.html#aaf52f467e0ea964e76ac7e955f23b2b1">   53</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_numeric_data.html#aaf52f467e0ea964e76ac7e955f23b2b1">NumericData::setHLayout</a>()</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>{</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    <a class="code hl_variable" href="class_numeric_data.html#af8d15a23b479d1943fda2a88954dbb49">hlayout</a>-&gt;addWidget(<a class="code hl_variable" href="class_numeric_data.html#a9bbb275971b6c75b1378e48727cca298">data</a>);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>}</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="class_numeric_data.html#a4b956764140411b9e8249ec9e4bd9b14">   62</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_numeric_data.html#a4b956764140411b9e8249ec9e4bd9b14">NumericData::update</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> new_value)</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>{</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    <span class="comment">// Tworzy nowy napis do wyświetlenia</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    QString printable = QStringLiteral(<span class="stringliteral">&quot;%1&quot;</span>).arg(new_value);</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    <span class="comment">// Czyści aktualną zawartość</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    <a class="code hl_variable" href="class_numeric_data.html#a9bbb275971b6c75b1378e48727cca298">data</a>-&gt;clear();</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    <span class="comment">// Wstawia odczyt razem z jednostką</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    <a class="code hl_variable" href="class_numeric_data.html#a9bbb275971b6c75b1378e48727cca298">data</a>-&gt;insert(printable + <span class="stringliteral">&quot; mm&quot;</span>);</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>}</div>
<div class="ttc" id="a_numeric_data_8hpp_html"><div class="ttname"><a href="_numeric_data_8hpp.html">NumericData.hpp</a></div><div class="ttdoc">Definicja klasy NumericData.</div></div>
<div class="ttc" id="a_numeric_data_8hpp_html_a4a870710e36ec2b3a1c414e1261a5f6b"><div class="ttname"><a href="_numeric_data_8hpp.html#a4a870710e36ec2b3a1c414e1261a5f6b">TEXT_LIMIT</a></div><div class="ttdeci">#define TEXT_LIMIT</div><div class="ttdef"><b>Definition</b> <a href="_numeric_data_8hpp_source.html#l00017">NumericData.hpp:17</a></div></div>
<div class="ttc" id="aclass_numeric_data_html_a1288fde6fb7304b3a63f58a8c39cc42a"><div class="ttname"><a href="class_numeric_data.html#a1288fde6fb7304b3a63f58a8c39cc42a">NumericData::setStoredWidget</a></div><div class="ttdeci">void setStoredWidget()</div><div class="ttdoc">Inicjalizuje widgety pochodne.</div><div class="ttdef"><b>Definition</b> <a href="_numeric_data_8cpp_source.html#l00035">NumericData.cpp:35</a></div></div>
<div class="ttc" id="aclass_numeric_data_html_a4867840ac08d28936e2fd457befa723e"><div class="ttname"><a href="class_numeric_data.html#a4867840ac08d28936e2fd457befa723e">NumericData::NumericData</a></div><div class="ttdeci">NumericData(QWidget *parent=nullptr)</div><div class="ttdoc">Inicjalizuje obiekt klasy NumericData.</div><div class="ttdef"><b>Definition</b> <a href="_numeric_data_8cpp_source.html#l00019">NumericData.cpp:19</a></div></div>
<div class="ttc" id="aclass_numeric_data_html_a4b956764140411b9e8249ec9e4bd9b14"><div class="ttname"><a href="class_numeric_data.html#a4b956764140411b9e8249ec9e4bd9b14">NumericData::update</a></div><div class="ttdeci">void update(unsigned int new_value)</div><div class="ttdoc">Aktualizuje odczyt z czujnika odleŋłości.</div><div class="ttdef"><b>Definition</b> <a href="_numeric_data_8cpp_source.html#l00062">NumericData.cpp:62</a></div></div>
<div class="ttc" id="aclass_numeric_data_html_a9bbb275971b6c75b1378e48727cca298"><div class="ttname"><a href="class_numeric_data.html#a9bbb275971b6c75b1378e48727cca298">NumericData::data</a></div><div class="ttdeci">QLineEdit * data</div><div class="ttdoc">Okienko do wyświetlania sformatowanych danych.</div><div class="ttdef"><b>Definition</b> <a href="_numeric_data_8hpp_source.html#l00032">NumericData.hpp:32</a></div></div>
<div class="ttc" id="aclass_numeric_data_html_aaf52f467e0ea964e76ac7e955f23b2b1"><div class="ttname"><a href="class_numeric_data.html#aaf52f467e0ea964e76ac7e955f23b2b1">NumericData::setHLayout</a></div><div class="ttdeci">void setHLayout()</div><div class="ttdoc">Ustawia widgety w poziomie.</div><div class="ttdef"><b>Definition</b> <a href="_numeric_data_8cpp_source.html#l00053">NumericData.cpp:53</a></div></div>
<div class="ttc" id="aclass_numeric_data_html_af8d15a23b479d1943fda2a88954dbb49"><div class="ttname"><a href="class_numeric_data.html#af8d15a23b479d1943fda2a88954dbb49">NumericData::hlayout</a></div><div class="ttdeci">QHBoxLayout * hlayout</div><div class="ttdoc">Zarządca geometrii horyzontalnej.</div><div class="ttdef"><b>Definition</b> <a href="_numeric_data_8hpp_source.html#l00036">NumericData.hpp:36</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_400757c3a0df52e783ed9699284f29ce.html">src</a></li><li class="navelem"><a class="el" href="_numeric_data_8cpp.html">NumericData.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
